#              By downloading this software ("the Program") you agree to the
#              following  LIMITED WARRANTY AND DISCLAMER. 
#              The Program is provided to you "as is". 
#              Silicon and Software Systems Limited (S3) make, and you
#              receive no warranties or conditions, express, implied,
#              statutory or otherwise, and S3 specifically disclaims any
#              implied warranties of merchantability, non-infringement, or
#              fitness for a particular purpose. S3 does not warrant that
#              the functions contained in the Program will meet your
#              requirements, or that the operation of these designs will be
#              uninterrupted or error free, or that defects in the Program 
#              will be corrected. Furthermore, S3 does not warrant or
#              make any representations regarding use or the results of the
#              use of the designs in terms of correctness, accuracy,
#              reliability, or otherwise.
#              LIMITATION OF LIABILITY. In no event will S3 be liable for
#              any loss of data, lost profits, cost or procurement of 
#              substitute goods or services, or for any special, incidental,
#              consequential, or indirect damages arising from the use or 
#              operation of the Program however caused and on any theory of
#              liability. This limitation will apply even if S3 has been 
#              advised of the possibility of such damage. This limitation 
#              shall apply not-withstanding the failure of the essential 
#              purpose of any limited remedies herein.
#              Copyright  2005 SILICON AND SOFTWARE SYSTEMS LIMITED
#              All rights reserved
###############################################################################
#
# Silicon & Software Systems Development Record (RCS)
#
###############################################################################
#
#        $RCSfile: gnat-setup-s3.tcl,v $ 
#       $Revision: 1.2 $ 
#           $Date: 2005/03/10 11:30:41 $ 
#
###############################################################################
###############################################################################
#
# Project        : Gnat
# Project Code   : INT2004_57b
#
# CAD Tool       : gnat-gui.exe v1.0
#
# Description    : Setup File to be used with Xilinx Spartan-3 Starter Kit
#
################################################################################

# 
# =========================================================================

# JtagChain : Describes the number of Devices on the JTAG Chain.
#    The following information is required for each device
#       <DeviceID>         : Each JTAG Device must have an ID. Must be hex and start at 0
#       <DeviceName>       : A Name for the Device
#       <IRLength>         : Length of the Instruction Register.
#                            Refer to devices DataSheet for this information
#       <User1PeriIdSize>  : Length of Peripheral ID part of User1 Register
#       <User1OpCodeSize>  : Length of Opcode part of User1 Register
#       <User1PayloadSize> : Length of Payload part of User1 Register
#       <User2PeriIdSize>  : Length of Peripheral ID part of User2 Register
#       <User2OpCodeSize>  : Length of Opcode part of User2 Register
#       <User2PayloadSize> : Length of Payload part of User2 Register
#       <DevicePart>       : The part number for the Device

#///////////////////////////////////////////////////////////////////////////
# XESS change: 
# Edited the JTAG chain because the Spartan3-1000 FPGA is the only
# device on the XSA-3S1000 Board.
#///////////////////////////////////////////////////////////////////////////
set JtagChain "
   {0 xc3s1000          6  0 0 0 4 1 8 XC3S1000-FT256}
              "

# DeviceN(User1)  : For each Device, describe the peripherals on User1 bus
#    The following information is required for each peripheral
#       <PeriphID>    : Each Peripheral must have an ID. Must be hex and start at 0
#       <PeriphName>  : A Name for the peripheral
#       <PeriphType>  : The Type of peripheral. The following special peripherals
#                       exist. The gnat.tcl will perform special functions for peripherals
#                       of these types.
#                       chipscope   - Xilinx Chipscope peripheral
#                                     Gnat doesnt actually access the Chipscope.
#                                     This is really just here so we can define the chain.
#                       leds        - Set of leds
#                       switch      - Set of dip switches
#                       pbl         - Active low pushbutton
#                       pbh         - Active high pushbutton
#                       register    - Register
#                       std         - Standard Peripheral (no special processing)
# 
#       <PeriphWidth> : Width (in bits) of hex file for peripheral
#       <R/W>         : Access to peripheral
#       {BitDefiniton}: Bit names (if required)

set Device0(User1)   ""

#///////////////////////////////////////////////////////////////////////////
# XESS change: 
# Adjusted the lengths and labels for the LED and DIP switches because
# the XSA-3S1000 Board has 7 LEDs and 4 switches. 
#///////////////////////////////////////////////////////////////////////////
set Device0(User2)   "
   {0 leds        led           7 rw {Led6 Led5 Led4 Led3 Led2 Led1 Led0}}
   {1 inc-led     pbh           1 w  {Inc}}
   {2 switches    switch        4 r  {Sw3 Sw2 Sw1 Sw0}}
                     "

set Device1(User1)   ""
set Device1(User2)   ""



